## levmar 2.5-5

=== Makefile ===
#
# Unix/Linux GCC Makefile for Levenberg - Marquardt minimization
# Under windows, use Makefile.vc for MSVC
#

CC=gcc
CONFIGFLAGS=#-ULINSOLVERS_RETAIN_MEMORY
#ARCHFLAGS=-march=pentium4 # YOU MIGHT WANT TO UNCOMMENT THIS FOR P4
CFLAGS=$(CONFIGFLAGS) $(ARCHFLAGS) -O3 -funroll-loops -Wall #-ffast-math #-pg
LAPACKLIBS_PATH=/usr/local/lib # WHEN USING LAPACK, CHANGE THIS TO WHERE YOUR COMPILED LIBS ARE!
LDFLAGS=-L$(LAPACKLIBS_PATH) -L.
LIBOBJS=lm.o Axb.o misc.o lmlec.o lmbc.o lmblec.o lmbleic.o
LIBSRCS=lm.c Axb.c misc.c lmlec.c lmbc.c lmblec.c lmbleic.c
DEMOBJS=lmdemo.o
DEMOSRCS=lmdemo.c
AR=ar
RANLIB=ranlib
LAPACKLIBS=-llapack -lblas -lf2c # comment this line if you are not using LAPACK.
                                 # On systems with a FORTRAN (not f2c'ed) version of LAPACK, -lf2c is
                                 # not necessary; on others, -lf2c is equivalent to -lF77 -lI77

#LAPACKLIBS=-L/usr/local/atlas/lib -llapack -lcblas -lf77blas -latlas -lf2c # This works with the ATLAS updated lapack and Linux_P4SSE2
                                                                            # from http://www.netlib.org/atlas/archives/linux/

#LAPACKLIBS=-llapack -lgoto2 -lpthread -lf2c # This works with GotoBLAS
                                             # from http://www.tacc.utexas.edu/research-development/tacc-projects/

#LAPACKLIBS=-L/opt/intel/mkl/8.0.1/lib/32/ -lmkl_lapack -lmkl_ia32 -lguide -lf2c # This works with MKL 8.0.1 from
                                            # http://www.intel.com/cd/software/products/asmo-na/eng/perflib/mkl/index.htm

LIBS=$(LAPACKLIBS)

all: liblevmar.a lmdemo

liblevmar.a: $(LIBOBJS)
	$(AR) crv liblevmar.a $(LIBOBJS)
	$(RANLIB) liblevmar.a

lmdemo: $(DEMOBJS) liblevmar.a
	$(CC) $(LDFLAGS) $(DEMOBJS) -o lmdemo $(LIBS) -lm -llevmar

lm.o: lm.c lm_core.c levmar.h misc.h compiler.h
Axb.o: Axb.c Axb_core.c levmar.h misc.h
misc.o: misc.c misc_core.c levmar.h misc.h
lmlec.o: lmlec.c lmlec_core.c levmar.h misc.h
lmbc.o: lmbc.c lmbc_core.c levmar.h misc.h compiler.h
lmblec.o: lmblec.c lmblec_core.c levmar.h misc.h
lmbleic.o: lmbleic.c lmbleic_core.c levmar.h misc.h

lmdemo.o: levmar.h

clean:
	@rm -f $(LIBOBJS) $(DEMOBJS)

cleanall: clean
	@rm -f lmdemo
	@rm -f liblevmar.a

depend:
	makedepend -f Makefile $(LIBSRCS) $(DEMOSRCS)

# DO NOT DELETE THIS LINE -- make depend depends on it.

## levmar 2.5-4

=== debian/changelog ===
levmar (2.5-4) experimental; urgency=low

  * levmar package for Debian

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Tue, 31 Aug 2010 13:45:18 +0300

=== debian/control ===
Source: levmar
Priority: extra
Maintainer: Daniil Ivanov <daniil.ivanov@gmail.com>
Build-Depends: cdbs, debhelper, autotools-dev, liblapack-dev
Standards-Version: 3.8.2
Section: libs
Homepage: http://www.nih.at/libzip/

Package: liblevmar-dev
Section: libdevel
Architecture: any
Depends: liblevmar2 (= ${binary:Version})
Description: Development files for levmar library, and demo program
 Development files for the levmar library, and demo program.

Package: liblevmar2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Levenberg-Marquardt nonlinear least squares algorithm
 levmar is a native ANSI C implementation of the Levenberg-Marquardt
 optimization algorithm.  Both unconstrained and constrained (under linear
 equations, inequality and box constraints) Levenberg-Marquardt variants are
 included.  The LM algorithm is an iterative technique that finds a local
 minimum of a function that is expressed as the sum of squares of nonlinear
 functions.  It has become a standard technique for nonlinear least-squares
 problems and can be thought of as a combination of steepest descent and the
 Gauss-Newton method.  When the current solution is far from the correct on,
 the algorithm behaves like a steepest descent method: slow, but guaranteed
 to converge.  When the current solution is close to the correct solution, it
 becomes a Gauss-Newton method.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_MAKESHLIBS_ARGS_ALL := -V
DEB_MAKE_INVOKE += -f Makefile.so

BUILDROOT = debian/tmp
MAJ=2
MIN=2

pre-build::
	mkdir -p sobj

install/liblevmar2::
	install -D -p -m 755 sobj/liblevmar.so.$(MAJ).$(MIN) $(BUILDROOT)/usr/lib/liblevmar.so.$(MAJ).$(MIN)
	install -D -p -m 644 levmar.h $(BUILDROOT)/usr/include/levmar.h
	install -D -p -m 755 lmdemo $(BUILDROOT)/usr/bin//lmdemo
	ln -s liblevmar.so.$(MAJ).$(MIN) $(BUILDROOT)/usr/lib/liblevmar.so.$(MAJ)
	ln -s liblevmar.so.$(MAJ).$(MIN) $(BUILDROOT)/usr/lib/liblevmar.so
	ls -l $(BUILDROOT)

cleanbuilddir/liblevmar2::
	rm -rf sobj

## levmar 2.5-5

=== debian/changelog ===
levmar (2.5-5) unstable; urgency=low

  * Added debug package for a library

 -- Daniil Ivanov <daniil.ivanov@gmail.com>  Tue, 12 Oct 2010 15:06:23 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: levmar
+Section: libs
 Priority: extra
 Maintainer: Daniil Ivanov <daniil.ivanov@gmail.com>
 Build-Depends: cdbs, debhelper, autotools-dev, liblapack-dev
 Standards-Version: 3.8.2
-Section: libs
 Homepage: http://www.nih.at/libzip/
 
 Package: liblevmar-dev
@@ -12,6 +12,13 @@
 Depends: liblevmar2 (= ${binary:Version})
 Description: Development files for levmar library, and demo program
  Development files for the levmar library, and demo program.
+
+Package: liblevmar-dbg
+Section: text
+Architecture: any
+Depends: liblevmar2 (= ${binary:Version})
+Description: Debug files for levmar library
+ Debug files for the levmar library
 
 Package: liblevmar2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 DEB_DH_MAKESHLIBS_ARGS_ALL := -V
 DEB_MAKE_INVOKE += -f Makefile.so
+DEB_DH_STRIP_ARGS = --dbg-package=liblevmar-dbg
 
 BUILDROOT = debian/tmp
 MAJ=2
@@ -24,3 +25,5 @@
 
 cleanbuilddir/liblevmar2::
 	rm -rf sobj
+
+
